using FlexChartAnalytics.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace FlexChartAnalytics.Controllers
{
    public class HomeController : Controller
    {
        //
        // GET: /Home/

        public ActionResult Index()
        {
            List<MathPoint> mPoints = MathPoint.GetMathPointList(10);

            return View(mPoints);
        }

        public ActionResult MovingAverage()
        {
            List<MathPoint> mPoints = MathPoint.GetMathPointList(30);

            return View(mPoints);
        }

        public ActionResult YFunctionSeries()
        {
            return View();
        }

        public ActionResult PFunctionseries()
        {
            return View();
        }
    }
}
